SIN(3)

NAME
sin, sinf, sinl - sine function

SYNOPSIS
#include <math.h>

double sin(double x);
float sinf(float x);
long double sinl(long double x);

Link with -lm.

DESCRIPTION
The sin() function returns the sine of x, where x is given in radians.

RETURN VALUE
The sin() function returns a value between -1 and 1.

CONFORMING TO
SVID 3, POSIX, 4.3BSD, ISO 9899. The float and the long double variants are C99 requirements.

SEE ALSO
acos(3), asin(3), atan(3), atan2(3), csin(3), cos(3), tan(3)